#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
r"""
    A nice, clean command-line interface for the Data Analysts to
    notify the newArchive of the PASS/FAIL status of CIPL run
    results.

    On a PASS: send an ArchiveEvent signifying that we
        should run the calibration ingestion workflow

    On a FAIL: send an ArchiveEvent signifying that the
        data is no good, and should be marked as
        DoNotCalibrate


    In either case, the script needs to identify a fileSetId from the
    subdirectory name in the QA2 directory (this is used by Amygdala to
    uniquely identify the observation).

"""
