# Restriction Engine Architecture

## What is the Restriction Engine?

The Workspaces Restriction Engine is a system designed to enforce the limitations of the Capability Version 
system design (See Capability Version Architecture for details).

In order to provide a stable and effective Capability Version system, it is necessary to enforce a number
of functionality restrictions. These restrictions are defined, evaluated, and enforced by the Restriction
Engine.

### What is a Rules Engine?

Most simply, a Rules Engine is a software design pattern meant to create concise and flexible conditional
code. A Rules Engine simply manages and executes a set of predefined Rules. A Rule contains two components:
A Condition and An Effect. The condition is evaluated for truthiness and, if true, then the Effect is
applied.

This pattern was chosen for the Restriction Engine due to its ability to centralize decision-making
logic, making it possible to build a single management system that could then be called where needed
rather than being forced to embed the same conditional logic repeatedly in over a dozen places. 




